﻿using System;
using System.IO;

class Program
{
    static void Main()
    {
        Console.WriteLine("iNetTutor.com - Write File Example");
        Console.WriteLine("Enter the text you want to save:");

        string text = Console.ReadLine();

        Console.WriteLine("Enter the file name (without extension):");
        string fileName = Console.ReadLine();

        // Append ".txt" extension if not provided
        if (!fileName.EndsWith(".txt"))
        {
            fileName += ".txt";
        }

        Console.WriteLine("Choose an option:");
        Console.WriteLine("1. Create a new file and write the text");
        Console.WriteLine("2. Append the text to an existing file");
        Console.WriteLine("3. Overwrite an existing file");

        int option = Convert.ToInt32(Console.ReadLine());

        switch (option)
        {
            case 1:
                WriteToFile(fileName, text);
                Console.WriteLine($"Text saved to a new file '{Path.GetFullPath(fileName)}' successfully!");
                break;
            case 2:
                AppendToFile(fileName, text);
                Console.WriteLine($"Text appended to the file '{Path.GetFullPath(fileName)}' successfully!");
                break;
            case 3:
                OverwriteFile(fileName, text);
                Console.WriteLine($"Text overwritten in the file '{Path.GetFullPath(fileName)}' successfully!");
                break;
            default:
                Console.WriteLine("Invalid option!");
                break;
        }
        Console.ReadKey();
    }

    static void WriteToFile(string fileName, string text)
    {
        using (StreamWriter writer = new StreamWriter(fileName))
        {
            writer.Write(text);
        }
    }

    static void AppendToFile(string fileName, string text)
    {
        using (StreamWriter writer = new StreamWriter(fileName, append: true))
        {
            writer.Write(text);
        }
    }

    static void OverwriteFile(string fileName, string text)
    {
        using (StreamWriter writer = new StreamWriter(fileName, append: false))
        {
            writer.Write(text);
        }
    }
}
